Loading...
Searching...
No Matches
Ui::CInterface Class Reference

## Public Member Functions

bool | EventProcess (const Event &event)
bool | GetTooltip (Math::Point pos, std::string &name)
void | Flush ()
CButton * | CreateButton (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CColor * | CreateColor (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CCheck * | CreateCheck (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CKey * | CreateKey (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CGroup * | CreateGroup (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CImage * | CreateImage (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CEdit * | CreateEdit (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CEditValue * | CreateEditValue (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CScroll * | CreateScroll (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CSlider * | CreateSlider (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CEnumSlider * | CreateEnumSlider (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CShortcut * | CreateShortcut (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CTarget * | CreateTarget (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CMap * | CreateMap (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CWindow * | CreateWindows (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CList * | CreateList (Math::Point pos, Math::Point dim, int icon, EventType eventMsg, float expand=1.2f)
CLabel * | CreateLabel (Math::Point pos, Math::Point dim, int icon, EventType eventMsg, std::string name)
bool | DeleteControl (EventType eventMsg)
CControl * | SearchControl (EventType eventMsg)
void | Draw ()
void | SetFocus (CControl *focusControl)

## Protected Member Functions

int | GetNextFreeControl ()
template<typename ControlClass>
ControlClass * | CreateControl (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)

## Protected Attributes

CEventQueue * | m_event
Gfx::CEngine * | m_engine
std::array< std::unique_ptr< CControl >, MAXCONTROL > | m_controls

The documentation for this class was generated from the following files:

- src/ui/controls/interface.h
- src/ui/controls/interface.cpp